Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
JavaScript
const options = {method: 'GET', headers: {'X-Browser-Use-API-Key': '<api-key>'}}; fetch('https://api.browser-use.com/api/v2/tasks/{task_id}/logs', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
curl --request GET \ --url https://api.browser-use.com/api/v2/tasks/{task_id}/logs \ --header 'X-Browser-Use-API-Key: <api-key>'
import requestsurl = "https://api.browser-use.com/api/v2/tasks/{task_id}/logs"headers = {"X-Browser-Use-API-Key": "<api-key>"}response = requests.get(url, headers=headers)print(response.text)
{ "downloadUrl": "<string>" }
{ "detail": "Task not found"}
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ]}
{ "detail": "Failed to generate download URL"}
Get secure download URL for task execution logs with step-by-step details.
Successful Response
Response model for log file requests
URL to download the log file
Was this page helpful?